%define sname	odbcng

Name:		postgresql-%{sname}
Summary:	PostgreSQL ODBCng driver
Version:	0.90.101
Release:	3%{?dist}
License:	LGPLv2
Group:		Applications/Databases
Url:		http://projects.commandprompt.com/public/%{sname}

# This is not the actual URL to tarball. It also includes ?format=raw 
# at the end, but I had to skip that part.
Source0:	https://projects.commandprompt.com/public/%{sname}/attachment/wiki/Downloads/%{sname}-%{version}.tar.gz

Patch0:		%{name}-0.99.101-debugpkg.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel, unixODBC-devel
BuildRequires:	libtool automake autoconf 

%description
ODBCng is a written from scratch ODBC driver for PostgreSQL 8.x.
ODBCng is a wire-level ODBC driver meaning that we do not require 
libpq or any PostgreSQL libraries be installed to function.

%prep
%setup -q -n %{sname}-%{version}
%patch0 -p1

aclocal
libtoolize --force
autoconf


%build
# warning: unrecognized option --with-ssl
%configure --with-ssl

make

%install
rm -rf %{buildroot}
make destdir=%{buildroot} DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*{.a,.la}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmodbc.so*
%doc COPYING COPYRIGHT LICENSE.txt

%changelog
* Wed Nov 18 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.90.101-3
- Fix library symlinks installation (#460900).
- Add Ville's debuginfo patch from 0.99.101-0.2.test1

* Fri Jun 6 2008 Devrim GUNDUZ <devrim@commandprompt.com> - 0.90.101-2
- Fix debuginfo issue, per review.

* Sat May 17 2008 Devrim GUNDUZ <devrim@commandprompt.com> - 0.90.101-1
- initial build for Fedora
